<ng-container *ngIf="diet$ | async as diet; else noDiet" >
    <div class="page">
        <header>
            <div class="container">
                <div class="content">
                    <h5>Diet plan</h5>
                    <h1>{{ diet.name }}</h1>

                    <mat-chip-listbox aria-label="Goals selection">
                        <mat-chip class="goal">
                            <mat-icon matChipAvatar >my_location</mat-icon>
                            Gain muscle
                        </mat-chip>

                        <mat-chip class="tag">
                            <mat-icon matChipAvatar  svgIcon="carbohydrates"></mat-icon>
                            High carbohydrates
                        </mat-chip>

                        <mat-chip class="add-tag">
                            <mat-icon matChipAvatar >add</mat-icon>
                            Add a tag
                        </mat-chip>
                    </mat-chip-listbox>
                </div>

                <div class="diet-options">
                    <button mat-button color="primary" [disabled]="false" (click)="editDiet()">
                        <mat-icon>edit</mat-icon>Editar
                    </button>

                    <mat-form-field appearance="fill" class="z2h-input">
                        <input matInput placeholder="Search">
                        <mat-icon matPrefix>search</mat-icon>
                    </mat-form-field>
                
                </div>
            </div>
        </header>

        <div class="svg-container">
            <svg width="0" height="0">
                <defs>
                    <clipPath id="menu">
                        <path
                            d="M50,0 h80 a10,10 0 0 1 10,10 v30 a10,10 0 0 0 10,10 h-140 a10,10 0 0 0 10,-10 v-30 a10,10 0 0 1 10,-10 z" />
                    </clipPath>
                </defs>
            </svg>
        </div>

        <main>
            <mat-tab-group fitInkBarToContent class="mat-tab-group-diet" [disableRipple]="true" mat-stretch-tabs="false" mat-align-tabs="start">
                <!-- Scheduler-->
                <mat-tab label="Scheduler">
                    <div class="container">
                        <ng-container *ngIf="{ dayOfWeek: dayOfWeek$ | async } as data">
                            <div class="diet-viewer">
    
                                <!-- Diet view -->
                                <div *ngIf="data.dayOfWeek !== undefined && data.dayOfWeek !== null"
                                    class="today-diet__table" cdkDropList #mealList="cdkDropList"
                                    [cdkDropListData]="diet.days[data.dayOfWeek]" (cdkDropListDropped)="drop(diet, $event)">
    
                                    <z2h-meals [meals]="diet.days[data.dayOfWeek]"></z2h-meals>
                                </div>
    
                            </div>
    
                            <div class="diet-tools" >
                                <div class="fixed" [class.sticky]="sticky">
                                    <z2h-diet-product-list
                                    [numMeals]="diet.days[data.dayOfWeek]?.length"></z2h-diet-product-list>
                                <z2h-diet-summary></z2h-diet-summary>
                                </div>
                               
                            </div>
                        </ng-container>
    
                    </div>
                </mat-tab>
                <mat-tab label="Shopping list">
                    <z2h-shopping-list></z2h-shopping-list>
                </mat-tab>
                <mat-tab label="Comments">
                    <z2h-comments></z2h-comments>
                </mat-tab>
                <mat-tab label="Description">
                    Description
                </mat-tab>
            </mat-tab-group>
        </main>
       

    </div>
</ng-container>

<!-- Loading indicator -->
<ng-template #noDiet>
    <loading-indicator></loading-indicator>
</ng-template>